Authorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Activate an existing access key, using a valid management key.
This API endpoint allows administrators to activate an existing access key.
Next Steps
Once you have reactivated the access key, you can utilize it to configure external items such as SCIM, or use it to exchange for a JWT.
See also
- See Access Key Management for further details on managing access keys.
curl -X POST "https://api.descope.com/v1/mgmt/accesskey/activate" \ -H "Content-Type: application/json" \ -d '{}'Update Access Key POST
### Update an existing access key, using a valid management key. This API endpoint allows administrators to update an existing access key. With this endpoint, you can only update the access key's name. ### See also - See [Access Key Management](/access-keys) for further details on managing access keys.
Deactivate Access Key POST
### Deactivate an existing access key, using a valid management key. This API endpoint allows administrators to deactivate an existing access key. Once the access key has been deactivated, it's access will be revoked until reactivated. ### See also - See [Access Key Management](/access-keys) for further details on managing access keys.